%define pwlib_version 1.10.2
%define opal_version 2.2.3

Summary:	Voice and Video over IP software (H323 / SIP)
Name:		ekiga
Version:	2.0.3
%define subrel	2
Release:	%mkrel 1
License:	GPL
Group:		Video
BuildRequires:	libgnomeui2-devel >= 2.0.0
BuildRequires:	opal-devel >= %{opal_version}
Buildrequires:	pwlib-devel >= %{pwlib_version} 
%if %{mdkver} >= 200610
BuildRequires:  avahi-glib-devel
BuildRequires:  avahi-client-devel
%endif
BuildRequires:	SDL1.2-devel
BuildRequires:  scrollkeeper
BuildRequires:  perl-XML-Parser
BuildRequires:  evolution-data-server-devel
BuildRequires:  ImageMagick
BuildRequires:  automake1.9 intltool
BuildRequires:  gnome-doc-utils >= 0.3.2 libxslt-proc
BuildRequires:  desktop-file-utils
Source0:	http://ftp.gnome.org/pub/GNOME/sources/ekiga/%{name}-%{version}.tar.bz2
# (fc) 2.0.1-3mdk fix tray icon transparency
Patch0:		ekiga-2.0.1-transparency.patch.bz2
Patch1:		ekiga-2.0.2-format-string.patch
Obsoletes:	gnomemeeting
Provides:	gnomemeeting

URL:		http://www.ekiga.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:	dynamic <= 0.3-2mdk
Requires(post)  : scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3
Requires:	soundwrapper

%description
Ekiga is a tool to communicate with video and audio over the internet.
It uses both SIP and H323 protocol and is compatible with Microsoft Netmeeting.
It used to be called GnomeMeeting

%prep
%setup -q
%patch0 -p1 -b .transparency
%patch1 -p1 -b .string-vuln

%build

%configure2_5x	\
%if %mdkver < 200610
		--disable-avahi \
%endif
		--disable-schemas-install 
%make 

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}
for omf in %buildroot%_datadir/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

#icons entries
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
install -m644 pixmaps/%name.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -scale 16 pixmaps/%name.png $RPM_BUILD_ROOT%{_miconsdir}/%name.png
convert -scale 32 pixmaps/%name.png $RPM_BUILD_ROOT%{_iconsdir}/%name.png

#%menu entries
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="soundwrapper %{_bindir}/%{name}" needs="x11" \
icon="%{name}.png" section="Internet/Video Conference" \
title="Ekiga" longtitle="Talk to people over the Internet" \
startupnotify="true" xdg="true"
EOF

sed -i -e 's,^Exec=ekiga,Exec=soundwrapper %{_bindir}/ekiga,g' $RPM_BUILD_ROOT%{_datadir}/applications/ekiga.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-VideoConference" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%define launchers %{_sysconfdir}/dynamic/launchers/webcam
# dynamic support
mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=Ekiga \$devicename
Comment=Ekiga
TryExec=%{_bindir}/ekiga
Exec=soundwrapper %{_bindir}/ekiga
Terminal=false
Icon=ekiga.png
Type=Application
StartupNotify=true
EOF


rm -rf %buildroot/var/lib/scrollkeeper

%define schemas ekiga

%post
%post_install_gconf_schemas %{schemas}
%{update_menus}

update-alternatives --install %{launchers}/kde.desktop webcam.kde.dynamic %launchers/%name.desktop 40
update-alternatives --install %{launchers}/gnome.desktop webcam.gnome.dynamic %launchers/%name.desktop 40
%update_scrollkeeper

%preun
if [ -r %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas -a -x %{_bindir}/gconftool-2 ]; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas > /dev/null
  update-alternatives --remove webcam.kde.dynamic %launchers/gnomemeeting.desktop
  update-alternatives --remove webcam.gnome.dynamic %launchers/gnomemeeting.desktop
fi
%preun_uninstall_gconf_schemas %{schemas}

%postun
%{clean_menus}
%{clean_scrollkeeper}

if [ "$1" = "0" ]; then
  update-alternatives --remove webcam.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove webcam.gnome.dynamic %launchers/%name.desktop
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING ChangeLog FAQ AUTHORS INSTALL TODO
%{_bindir}/*
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%{_datadir}/applications/*
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_datadir}/gnome/help/ekiga
%{_mandir}/*/*
%{_menudir}/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_sysconfdir}/gconf/schemas/*
%config(noreplace) %launchers/*.desktop

%changelog
* Thu Mar 08 2007 Stew Benedict <sbenedict@mandriva.com> 2.0.3-1.2mdv2007.0
- P1: previous patch was an incomplete solution, better patch
  new CVE too: CVE-2007-0999

* Tue Feb 20 2007 Stew Benedict <sbenedict@mandriva.com> 2.0.3-1.1mdv2007.0
- P1: security fix for string vuln CVE-2007-1006

* Mon Sep  4 2006 Gtz Waschk <waschk@mandriva.org> 2.0.3-1mdv2007.0
- bump deps
- New release 2.0.3

* Fri Sep 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.2-7mdv2007.0
- Add missing soundwrapper call to .desktop file

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.2-6mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.0.2-1mdv2007.0
- rebuild for new e-d-s

* Thu Jul 20 2006 Gtz Waschk <waschk@mandriva.org> 2.0.2-4mdv2007.0
- fix buildrequires

* Wed Jul 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.2-2mdv2007.0
- Switch to XDG menu
- use macros
- fix preun script again

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.2-2mdv2007.0
- Fix preun script (Mdv bug #22624)

* Tue Jun  6 2006 Gtz Waschk <waschk@mandriva.org> 2.0.2-1mdv2007.0
- bump deps
- fix URL
- new version

* Wed May 17 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.1-3mdk
- Patch0: fix tray icon transparency

* Tue Apr 18 2006 Götz Waschk <waschk@mandriva.org> 2.0.1-2mdk
- rebuild for new e-d-s

* Tue Mar 14 2006 Gtz Waschk <waschk@mandriva.org> 2.0.1-1mdk
- bump deps

* Tue Mar 14 2006 Götz Waschk <waschk@mandriva.org> 2.0.1-1mdk
- New release 2.0.1

* Mon Mar 13 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-2mdk
- fix buildrequires


* Mon Mar 13 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-1mdk
- add scrollkeeper stuff
- bump deps
- New release 2.0.0

* Fri Feb 17 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.1-3mdk
- Fix BuildRequires (Mdk bug #21161)
- Fix url

* Wed Feb 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.1-2mdk
- Rebuild

* Tue Feb 14 2006 Gtz Waschk <waschk@mandriva.org> 1.99.1-1mdk
- bump deps
- New release 1.99.1

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.0-5mdk
- Rebuild with latest dbus

* Tue Jan 24 2006 Gtz Waschk <waschk@mandriva.org> 1.99.0-4mdk
- fix buildrequires

* Fri Jan 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.0-3mdk
- Fix remaining gnomemeeting strings
- uninstall gnomemeeting schemas / alternative when upgrading

* Thu Jan 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.0-2mdk
- Add missing buildrequires

* Wed Jan 18 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.0-1mdk
- new name : GNOMEMeeting is now known as Ekiga
- Release 1.99.0 (beta for 2.0)
- Remove source 1,2,3

* Tue Dec 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.3-1mdk
- Release 1.2.3
- remove patch0 (merged upstream)

* Wed Nov 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-5mdk
- Patch0: use DNS instead of IP for server used to NAT detection
- Use mkrel

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-4mdk
- rebuilt against openssl-0.9.8a

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-3mdk
- Rebuild with new eds

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-2mdk
- rebuild

* Mon Sep 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-1mdk 
- Release 1.2.2 final

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-0.20050810.2mdk
- rebuilt against new openldap-2.3.6 libs
- pass "-DLDAP_DEPRECATED" to the CFLAGS

* Wed Aug 10 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-0.20050810.1mdk 
- New snapshot with more fixes 
- Remove patch0, merged upstream (not that ugly, after all :)

* Tue Aug 09 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-0.20050809.1mdk 
- CVS snapshot of GNOMEMeeting 1.2.2
- Patch0 : ugly hack to prevent UI freeze when probing NAT

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.1-4mdk 
- Rebuild with new evolution-data-server

* Wed Mar 23 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-3mdk 
- use soundwrapper to start gnomemeeting (Mdk bug #14908)

* Wed Mar 09 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-2mdk 
- Fix build on 10.1

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk 
- Release 1.2.1
- Remove patch0 (merged upstream)

* Mon Feb 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-5mdk 
- Patch0: fix pwlib detection in multiarch environment

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-4mdk 
- Fix build for 10.1
- Rebuild with latest howl

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk 
- Fix buildrequires

* Wed Dec 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-2mdk 
- Remove requirements on plugins, it is handled by pwlib/openh323 packages
  directly

* Mon Dec 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk 
- Release 1.2.0
- Remove patch0 (no longer needed)

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-12mdk
- Fix build requires

* Mon Sep 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-11mdk 
- Rebuild against latest openh323 (no vpb support) and remove patch1,
  Mdk bug #11582 should be fixed now

* Thu Sep 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-10mdk
- Patch1 : disable iLBC codecs until crash is fixed for them

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-9mdk
- Enforce alsa plugin too, since some webcam doesn't work in oss mode
 (Mdk bug #11146)

* Tue Sep 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-8mdk
- Rebuild with new openh323/pwlib

* Fri Sep 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-7mdk
- Update dynamic launcher to fix device name use with dynamic entries

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-6mdk
- Fix menu

* Wed Jun 16 2004 Robert Vojta <robert.vojta@mandrake.org> 1.0.2-5mdk
- rebuild
- patch0 - use new pwlib, openh323 libraries (experimental)
- recommended versions of pwlib, openh323 modified (for patch0)

* Mon May 03 2004 Robert Vojta <robert.vojta@mandrake.org> 1.0.2-4mdk
- Fix BuildRequires (vpb-devel)

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-3mdk
- Fix BuildRequires

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Enforce dependencies on pwlib plugins, to workaround Mdk bug #9556)

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.2-1mdk
- 1.0.2
- no explicit library dependencies
- don't bzip2 icons in src.rpm
- spec cosmetics
- drop P0 & P1 (seems to be fixed upstream)
- manually add -lvpb to LDFLAGS

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.5-4mdk
- Patch1 (CVS): allow build with libxml 2.6.x
- Fix menu

* Wed Oct 22 2003 Stefan van der Eijk <stefan@eijk.nu> 0.98.5-3mdk
- BuildRequires

* Wed Oct  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.98.5-2mdk
- lib64 fixes

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.5-1mdk
- Release 0.98.5

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.4-1mdk
- Release 0.98.4

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.3-2mdk
- Fix BuildRequires

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.3-1mdk
- Release 0.98.3

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.2-1mdk
- Release 0.98.2

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.1-1mdk
- Release 0.98.1

* Thu Jul  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.98.0-1mdk
- Release 0.98.0

* Mon Mar 03 2003 Florin <florin@mandrakesoft.com> 0.96.1-2mdk
- update the pwlib and openh323 Requires versions

* Mon Mar 03 2003 Florin <florin@mandrakesoft.com> 0.96.1-1mdk
- 0.96.1

* Fri Feb 28 2003 Florin <florin@mandrakesoft.com> 0.96-4mdk
- rebuild

* Mon Feb 24 2003 Florin <florin@mandrakesoft.com> 0.96-3mdk
- add the MicroTelco patch

* Mon Jan 27 2003 Florin <florin@mandrakesoft.com> 0.96-2mdk
- really final release

* Thu Jan 23 2003 Florin <florin@mandrakesoft.com> 0.96-1mdk
- 0.96

* Mon Jan 20 2003 Florin <florin@mandrakesoft.com> 0.95-0.20030120.1mdk
- 2003-20-01
- fix the gconf-related commands (thx to F. Crozat)
- add some BuildRequires (thx to Michael Reinsch)

* Fri Oct 25 2002 Florin <florin@mandrakesoft.com> 0.94-0.1.1mdk
- 0.94.1
- new icons
- move to the video group 
- several new fixes/adaptions

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.93-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Aug 05 2002 Florin <florin@mandrakesoft.com> 0.93-2mdk
- 0.93.1

* Thu Aug 01 2002 Florin <florin@mandrakesoft.com> 0.93-1mdk
- 0.93
- ugly add of a -lartsc
- add the bonobo file

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.92-0.4mdk
- Automated rebuild with gcc3.2

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.92-0.3mdk
- Fix BuildRequires

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.92-0.2mdk
- Fix schema registration

* Mon Jun 17 2002 Florin <florin@mandrakesoft.com> 0.92-0.1mdk
- 0.92.1

* Wed Jun 12 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.86-0.2mdk
- Relax Requires: for pwlib and openh323. Florin may change that...
- Patch0: Include the correct <config.h> header. It will correctly
  define ENABLE_NLS so that further including <libintl.h> won't be
  messed up.

* Mon May 06 2002 Florin <florin@mandrakesoft.com> 0.86-0.1mdk
- 0.86 snapshot

* Thu Mar 21 2002 Florin <florin@mandrakesoft.com> 0.85-2mdk
- add libGConf-devel in BuildRequires (thx to DUCLOS Andre)

* Tue Mar 12 2002 Florin <florin@mandrakesoft.com> 0.85-1mdk
- 0.85.0

* Tue Feb 26 2002 Florin <florin@mandrakesoft.com> 0.84-1mdk
- 0.84.0
- compile with disable gconf and add it in post
- use png icons
- add the schemas file in the file list

* Wed Dec 05 2001 Florin <florin@mandrakesoft.com> 0.12-4mdk
- a new source 0.12-2 that fixes some bugs

* Fri Nov 30 2001 Florin <florin@mandrakesoft.com> 0.12-3mdk
- new sources that fix some connexion bug

* Thu Nov 29 2001 Florin <florin@mandrakesoft.com> 0.12-2mdk
- remove the --disable-crash-dialog
- Thx to F.Crozat

* Thu Nov 29 2001 Florin <florin@mandrakesoft.com> 0.12-1mdk
- 0.12
- re --noapplet with --disable-crash-dialog

* Tue Nov 20 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.12-0.2mdk
- fix x86 specific perl -pi calls in spec file - should be arch neutral now

* Mon Nov 19 2001 Florin <florin@mandrakesoft.com> 0.12-0.1mdk
- 18-11-01

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-4mdk
- Enforce dependencies
- Patch0: fix compilation with latest version of GNOME1 platform

* Tue Oct 23 2001 Florin <florin@mandrakesoft.com> 0.11-3mdk
- new pwlib1 and openh323_1

* Fri Oct 19 2001 Florin <florin@mandrakesoft.com> 0.11-2mdk
- rebuild for db3

* Wed Sep 19 2001 Florin <florin@mandrakesoft.com> 0.11-1mdk
- 0.11

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11-0.PRE3.3mdk
- BuildRequires: gettext-devel
- Remove redundant BuildRequires

* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.11-0.PRE3.2mdk
- added dynamic desktop entry

* Sun Aug 26 2001 Florin <florin@mandrakesoft.com> 0.11-0.PRE3.1mdk
- update the versions in Requires & Buildrequires sections
- use /usr/include/openh323 instead of /usr/include/oh323
- use -lh323_linux_x86_r instead if -loh323
- 0.11PRE3

* Sun Aug 26 2001 Florin <florin@mandrakesoft.com> 0.10-8mdk
- add the versions in the Require section
- fix the permissions of some doc files

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-7mdk
- Fix menu entry for applet support
- Add missing directory

* Mon Aug 20 2001 Florin <florin@mandrakesoft.com> 0.10-6mdk
- rebuild due too pwlib fixes

* Sun Aug 19 2001 Florin <florin@mandrakesoft.com> 0.10-5mdk
- update the xpm icons

* Sun Aug 19 2001 Florin <florin@mandrakesoft.com> 0.10-4mdk
- new modified sources

* Sat Aug 18 2001 Florin <florin@mandrakesoft.com> 0.10-3mdk
- slighlty modified sources
- use the new PTLIB_INCLUDE_DIR & OPENH323_INCLUDE_DIR var
- don't need the old patches anymore
- add the ptlib patch because of pwlib

* Thu Aug 16 2001 Florin <florin@mandrakesoft.com> 0.10-2mdk
- added patches (more elegant)

* Tue Aug 14 2001 Florin <florin@mandrakesoft.com> 0.10-1mdk
- first Mandrake release
